Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.plugin.web
Class BambooWebFragmentHelper

    java.lang.Object
      com.atlassian.bamboo.plugin.web.BambooWebFragmentHelper

    public class BambooWebFragmentHelper

extends Object

Constructor Summary
`BambooWebFragmentHelper()`

Method Summary
`String` | `getI18nValue(String key, List arguments, Map context)`
`Object` | `loadComponent(String className, Plugin plugin)`
`Condition` | `loadCondition(String className, Plugin plugin)`
`ContextProvider` | `loadContextProvider(String className, Plugin plugin)`
`String` | `renderVelocityFragment(String fragment, Map context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooWebFragmentHelper

    public BambooWebFragmentHelper()

Method Detail

### loadComponent

    public Object loadComponent(String className,
                                Plugin plugin)
                         throws ConditionLoadingException

  Throws:
    `ConditionLoadingException`

### loadCondition

    public Condition loadCondition(String className,
                                   Plugin plugin)
                            throws ConditionLoadingException

  Throws:
    `ConditionLoadingException`

### loadContextProvider

    public ContextProvider loadContextProvider(String className,
                                               Plugin plugin)
                                        throws ConditionLoadingException

  Throws:
    `ConditionLoadingException`

### getI18nValue

    public String getI18nValue(String key,
                               List arguments,
                               Map context)

### renderVelocityFragment

    public String renderVelocityFragment(String fragment,
                                         Map context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.